## dpkg 1.18.4tanglu1

=== debian/changelog ===
dpkg (1.18.4tanglu1) staging; urgency=medium

  * Merge with Debian unstable, remaining change:
    - Don't error out when passing different build-types to dpkg-buildpackage
      and dpkg-genchanges, until all broken sbuild instances are fixed.

 -- Matthias Klumpp <mak@debian.org>  Sun, 17 Jan 2016 19:02:54 +0100

dpkg (1.18.4) unstable; urgency=medium

  [ Guillem Jover ]
  * Switch dpkg-scansources and dpkg-scanpackages to use File::Find instead
    of find(1), as the former is more portable with more consistent behavior,
    and always canonicalizes the pathnames. Closes: #800649
  * Initialize Config-Version also for packages previously in triggers-pending
    state, otherwise we end up not passing the previously configured version
    to «postinst configure», which might consider this a first install instead
    of an upgrade. Closes: #801156
  * Fix memory leaks in «dpkg --verify» and dpkg infodb format upgrade logic.
  * Merge all update-alternatives action handling into a single if-else-if
    block, to unify the code an allow a future switch into a shared library.
  * Perform any necessary cleanups on normal exit from dpkg-divert --add and
    --remove commands.
  * Make dpkg-architecture warning on non-matching GNU system type compiler
    agnostic.
  * Add ‘.gitreview’ to the default dpkg-source ignore lists.
  * Add support for DPKG_MAINTSCRIPT_DEBUG environment variable to dpkg.
  * Fix dpkg-checkbuilddeps exit code to be 1 instead of a random error value
    on unsatisfied dependencies. Regression introduced in dpkg 1.18.3.
  * Fix an off-by-one write access in dpkg-deb when parsing the old format
    .deb control member size. Thanks to Hanno Böck <hanno@hboeck.de>.
    Fixes CVE-2015-0860.
  * Fix an off-by-one read access in dpkg-deb when parsing ar member names.
    Thanks to Hanno Böck <hanno@hboeck.de>.
  * Add experimental multithreaded xz compression support in libdpkg, which
    requires xz >= 5.2.0.
  * Fix physical file offset comparison in dpkg. Closes: #808912
    Thanks to Yuri Gribov <tetra2005@gmail.com>.
  * Fix usage of dpkg-architecture -s after other action options.
    Reported by Niels Thykier <niels@thykier.net>.
  * Add NIOS2 support to cputable. Thanks to Marek Vasut <marex@denx.de>.
  * On Debian and derivatives enable timeless build flag feature by default.
    Thanks to Paul Wise <pabs@debian.org>. Closes: #805872
  * Perl modules:
    - Add support for Build-Essential field. Closes: #806315
  * Test suite:
    - Improve perl code test coverage.
  * Build system:
    - Set PERL5LIB globally for the test suite to the local modules directory,
      to avoid using the system modules. Regression introduced in dpkg 1.17.8.
      Reported by Jérémy Bobbio <lunar@debian.org>. Closes: #801329
    - Use absolute buildir pathnames in PATH variable for the test suite.
    - Descend into scripts directory when cleaning up code coverage files.
    - Add new configure option --disable-devel-docs to select the kind of docs
      to generate, default for now is development documentation.
    - Try to use AM_GNU_GETTEXT_REQUIRE_VERSION to benefit from the latest
      installed gettext version, while guaranteeing a minimal required version.
  * Packaging:
    - Add missing Build-Depends for restriction formula support.
  * Documentation:
    - Move description for “target architecture” from the dpkg-architecture(1)
      ‘-A’ option to the TERMS section. Closes: #799046
    - Clarify that the md5sum check on «dpkg --verify» is performed on the
      file contents, and failures denote changed content. Closes: #760248
    - Document that dpkg-buildpacakge -nc -S implies -d.
    - Clarify role of Build-Depends in deb-src-control(5).
      Prompted by Johannes Schauer <j.schauer@email.de>.
    - Document supported feature areas.
    - Clarify in dpkg-query(1) when binary:Package gets arch-qualified.
      Closes: #801958
    - Add a subsection separating external from internal environment variables
      in dpkg(1).

  [ Updated programs translations ]
  * Dutch (Frans Spiesschaert). Closes: #800513
  * Japanese (Kenshi Muto). Closes: #799432
  * Turkish (Mert Dirik). Closes: #799875

  [ Updated scripts translations ]
  * German (Helge Kreutzmann).

  [ Updated manpages translations ]
  * German (Helge Kreutzmann, Julian R). Closes: #807156

 -- Guillem Jover <guillem@debian.org>  Fri, 25 Dec 2015 13:20:26 +0100
