## dpkg 1.18.4ubuntu1

=== debian/changelog ===
dpkg (1.18.4ubuntu1) xenial; urgency=medium

  * Merge from Debian testing; remaining changes in the Ubuntu delta:
    - Change native source version/format mismatch errors into warnings
      until the dust settles on Debian bug 737634 about override options.
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.
    - Special-case arm{el,hf} ELF objects in Shlibs/Objdump.pm for multilib.
    - Map unqualified package names of multiarch-same packages to the native
      arch instead of throwing an error, so that we don't break on upgrade
      when there are unqualified names stored in the dpkg trigger database.
    - Apply a workaround from mvo to consider ^rc packages as multiarch,
      during the dpkg consistency checks. (see LP: 1015567 and 1057367).
    - Carry over Breaks/Conflicts for triggers/upgrades until post-16.04.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 12 Jan 2016 14:24:21 -0700

dpkg (1.18.3ubuntu1) xenial; urgency=medium

  * Merge from Debian testing; remaining changes in the Ubuntu delta:
    - Change native source version/format mismatch errors into warnings
      until the dust settles on Debian bug 737634 about override options.
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.
    - Special-case arm{el,hf} ELF objects in Shlibs/Objdump.pm for multilib.
    - Map unqualified package names of multiarch-same packages to the native
      arch instead of throwing an error, so that we don't break on upgrade
      when there are unqualified names stored in the dpkg trigger database.
    - Apply a workaround from mvo to consider ^rc packages as multiarch,
      during the dpkg consistency checks. (see LP: 1015567 and 1057367).
    - Carry over Breaks/Conflicts for triggers/upgrades until post-16.04.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 23 Oct 2015 16:20:32 +0100
