## dpkg 1.18.4ubuntu1.1%2B8.0trisquel1

=== debian/changelog ===
dpkg (1.18.4ubuntu1.1+8.0trisquel1) flidas; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 24 Jun 2016 16:44:33 +0000

dpkg (1.18.4ubuntu1.1) xenial; urgency=medium

    * Add Breaks on ufw (<< 0.35-0ubuntu2~) for trigger loops (LP: #1571174)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 12 May 2016 04:35:55 -0600
