## dpkg 1.18.4ubuntu1.6

=== debian/changelog ===
dpkg (1.18.4ubuntu1.6) xenial; urgency=medium

  * Cherry-pick upstream fixes for trigger loops (LP: #1828639)
    - dpkg: Negate tortoise_not_in_hare() function name and return value
    - dpkg: Initialize trigcyclenode's next member once
    - dpkg: Factor trigproc_new_cyclenode() out from check_trigger_cycle()
    - dpkg: Mark the package we are giving up on a trigger cycle as istobe normal
    - dpkg: Switch dependtry from an int to an enum
    - dpkg: Reset progress_bytrigproc once we have injected into the current iteration
    - dpkg: Split trigger processing types into required, try-queued and try-deferred
    - dpkg: Convert one trigger processing required type into the new try-queued
    - dpkg: Move trigproc cycle reset inside try-deferred conditional
    - dpkg: Introduce a new dependency try level for trigger processing
    - dpkg: Introduce a new dependency try level for trigger cycle checks

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 16 Jul 2019 14:57:11 +0200

dpkg (1.18.4ubuntu1.5) xenial; urgency=medium

  * Apply patch from upstream to add frontend locking (LP: #1796081):
    - Add support for frontend locking. This makes it possible for frontends
      using this new protocol, to safely lock the dpkg database w/o risk of
      race conditions with other dpkg instances or frontends supporting the
      same protocol.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 04 Oct 2018 14:21:49 +0200

dpkg (1.18.4ubuntu1.4) xenial; urgency=medium

  * Cherry-pick d01212f2d7e59fc713c66b5d60421ac2296c1463 from 1.18.5:
    - Allow detached upstream orig tarball signatures when extracting
      version 1.0 non-native source packages (LP: #1751114)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 14 Mar 2018 13:17:08 -0600

dpkg (1.18.4ubuntu1.3) xenial; urgency=medium

  * Use ohshit() instead of internerr() for unhandled dpkg-split exit
    codes. (i.e. do not abort). Closes: #812679, LP: #1601998

 -- Brian Murray <brian@ubuntu.com>  Fri, 20 Oct 2017 16:14:06 -0700

dpkg (1.18.4ubuntu1.2) xenial; urgency=medium

  * Cherry-pick patch from git to limit preallocation to files over
    16KiB, fixing installation performance regression (LP: #1663749)

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 10 Apr 2017 04:08:19 -0600
