=== debian/control ===
--- 
+++ 
@@ -66,6 +66,7 @@
  pypy (<< 2.4.0+dfsg-3~),
  readahead-fedora (<< 2:1.5.6-5.2~),
  software-center (<< 13.10-0ubuntu9~),
+ ufw (<< 0.35-0ubuntu2~),
  ureadahead (<< 0.100.0-17~),
  wordpress (<< 4.1+dfsg-1~),
  xfonts-traditional (<< 1.7~),
