=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
  pkg-config, flex,
  gettext (>= 0.19), po4a (>= 0.41),
  zlib1g-dev, libbz2-dev, liblzma-dev,
+ libzstd1-dev,
  libselinux1-dev (>= 1.28-4) [linux-any],
  libkvm-dev [kfreebsd-any],
  libncursesw5-dev,
@@ -24,7 +25,7 @@
 Priority: optional
 Architecture: any
 Multi-Arch: same
-Depends: zlib1g-dev, liblzma-dev, libbz2-dev, ${misc:Depends}
+Depends: zlib1g-dev, libzstd1-dev, liblzma-dev, libbz2-dev, ${misc:Depends}
 Description: Debian package management static library
  This package provides the header files and static library necessary to
  develop software using libdpkg, the same library used internally by dpkg.
