=== debian/rules ===
--- 
+++ 
@@ -60,6 +60,7 @@
 		--localstatedir=/var \
 		--with-devlibdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 		--with-zlib \
+		--with-libzstd \
 		--with-liblzma \
 		--with-bz2
