## dpkg 1.18.4ubuntu1.7%2B8.0trisquel1

=== debian/changelog ===
dpkg (1.18.4ubuntu1.7+8.0trisquel1) flidas; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 29 Apr 2021 00:42:28 +0000
