## dpkg 1.18.4ubuntu1.7+esm1

=== debian/changelog ===
dpkg (1.18.4ubuntu1.7+esm1) xenial-security; urgency=medium

  * SECURITY UPDATE: Directory traversal issue in dpkg-source
    - scripts/Dpkg/Source/Archive.pm:
      Prevent directory traversal for in-place extracts.
    - CVE-2022-1664

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Thu, 26 May 2022 12:40:33 -0300
