## dpkg 1.18.7tanglu5

=== debian/changelog ===
dpkg (1.18.7tanglu5) staging; urgency=medium

  * usrmerge_use_both_lib_paths.diff:
    Do a string comparison to check if the path was already set as the key
    may already be defined earlier; 

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 01 Jul 2016 21:24:33 +0000

dpkg (1.18.7tanglu4) staging; urgency=medium

  * usrmerge_use_both_lib_paths.diff:
    Don't unconditionally overwrite the package information for the usrmerge
    fallback path - another package might be providing that.

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 19 Jun 2016 14:01:36 +0200

dpkg (1.18.7tanglu3) staging; urgency=medium

  * Add quilt support 
  * Convert all source modifications to quilt patches
  * Give fixing dpkg-shlibdeps another try by porting missing usrmerge code

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 19 Jun 2016 12:56:54 +0200

dpkg (1.18.7tanglu2) staging; urgency=medium

  * Fix inexistent variable in dpkg-shlibdeps 

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 17 Jun 2016 23:19:49 +0200

dpkg (1.18.7tanglu1) staging; urgency=medium

  * Merge with debian unstable, remaining changes:
    - Dpkg::Build::Types set_build_type(): Don't error out when passing
      more than one build-type
    - dpkg-shlibdeps find_packages(): Be aware of the usrmerge and always
      check locations in /usr and / when finding libraries

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 17 Jun 2016 22:44:22 +0200

dpkg (1.18.7) unstable; urgency=medium

  [ Guillem Jover ]
  * Add new dpkg-source --require-strong-checksums option and change default.
    There is no point in erroring out on this condition when signature issues
    are only warnings, because we cannot guarantee we have functional keys
    for old signatures. Regression introduced in dpkg 1.18.5. Closes: #823428
  * Stop using several fixed sized buffers for program reporting, which in
    many cases could cause confusing truncation of long messages. Use heap
    allocated formatted strings instead:
    - In start-stop-daemon to report what to stop.
    - In dselect to print main and access methods menu entries.
    - In libdpkg command-line option parsing errors.
    - In libdpkg warning, notice and info reporting.
    - In libdpkg ohshit, ohshitv, ohshite and internerr. But in this case
      fallback to a fixed-size emergency buffer in case of allocation or
      formatting error, so that we can at least print something, even if
      truncated.
    Prompted by Manuel A. Fernandez Montecelo <mafm@debian.org>.
  * Colorize all fatal-error printing codepaths in libdpkg.
  * Architecture support:
    - Bump the GNU triplet cpu from i386 to i686 to match toolchain changes.
      Thanks to Ben Hutchings <ben@decadent.org.uk>. Closes: #823619
    - Clarify column descriptions in architecture table files.
  * Perl modules:
    - Relax dependency restrictions parsing to allow again sloppy spaces
      around versions, architectures and profile restrictions.
      Regression introduced in 1.18.5. Closes: #823431
    - Add new require_strong_checksums option to Dpkg::Source::Package.
    - Add new tests_dep option to Dpkg::Deps deps_parse() to allow the
      otherwise invalid ‘@’ character in dependencies. To be used when
      parsing the debian/tests/control file.
  * Documentation:
    - Shorten example symbol names in dpkg-gensymbols to avoid a mandb
      warning due to unwrappable lines in translations.

  [ Updated scripts translations ]
  * German (Helge Kreutzmann).

  [ Updated manpages translations ]
  * German (Helge Kreutzmann).

 -- Guillem Jover <guillem@debian.org>  Mon, 09 May 2016 03:19:52 +0200

dpkg (1.18.6) unstable; urgency=medium

  [ Guillem Jover ]
  * Fix file queue tail assignment on file queue pop during unpack. This
    could mess up the file queue in some circumstances and leave behind
    files in the filesystem as «pathname».dpkg-new after configuration
    and without traces of the files in the dpkg database. Closes: #823288
  * Use m_strdup() instead of strdup() in dpkg recursive installation code.
  * Fix off-by-one array allocation in dpkg recursive installation code that
    can cause segfaults.
  * Rename sysctl() “name” variable to “mib”, to avoid a clash with the
    call site function argument with the same name in start-stop-daemon.
    This fixes a build failure on */kFreeBSD systems.
  * Initialize number of entries on initial process scan in start-stop-daemon
    on */kFreeBSD.
  * Packaging:
    - Bump Standards-Version to 3.9.8 (no changes needed).

  [ Updated programs translations ]
  * German (Sven Joachim).

 -- Guillem Jover <guillem@debian.org>  Tue, 03 May 2016 20:17:05 +0200

dpkg (1.18.5) unstable; urgency=medium

  [ Guillem Jover ]
  * Print correct integer parse error for short-only command-line options.
    This affects «dpkg-deb -z». Closes: #809174
  * Do not abort when traversing symlinks to directories in dpkg-scanpackages
    and dpkg-scansources. Closes: #809219
  * Implement delete operator with size argument in dselect, required by the
    C++14 spec when the size-less delete operator is defined.
  * Use EACCES instead of EWOULDBLOCK for fcntl(2) F_SETLK in dselect.
  * Print the archive filename when dpkg cannot access it.
  * Check that all passed archive filenames to dpkg exist before queuing them.
    Closes: #809963
  * Use ohshit() instead of internerr() for unhandled dpkg-split exit codes.
    (i.e. do not abort). Closes: #812679
  * Detect non-regular file archive arguments earlier in dpkg.
  * Switch URLs in docs, code comments and packaging, from http:// or git://
    to https:// if the latter is available (round three). This includes the
    dpkg git repository, copyright format URL and examples in man pages among
    others.
  * Clarify where to find the GPL-2 license in debian/copyright.
  * Do not enable stack-protector on nios2 in Debian and derivatives (it is
    not supported by gcc yet).
  * Check first for build type to short-circuit boolean expressions in

