=== debian/control ===
--- 
+++ 
@@ -1,22 +1,19 @@
 Source: dpkg
 Section: admin
 Priority: required
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
+Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
 Uploaders: Guillem Jover <guillem@debian.org>
 Origin: debian
 Bugs: debbugs://bugs.debian.org
 Homepage: https://wiki.debian.org/Teams/Dpkg
 Vcs-Browser: https://anonscm.debian.org/cgit/dpkg/dpkg.git
-Vcs-Git: git://anonscm.debian.org/dpkg/dpkg.git
-Standards-Version: 3.9.6
+Vcs-Git: https://anonscm.debian.org/git/dpkg/dpkg.git
+Standards-Version: 3.9.8
 Build-Depends: dpkg-dev (>= 1.17.14), debhelper (>= 9.20141010),
- pkg-config, flex,
+ pkg-config, quilt,
  gettext (>= 0.19), po4a (>= 0.41),
  zlib1g-dev, libbz2-dev, liblzma-dev,
- libzstd1-dev,
  libselinux1-dev (>= 1.28-4) [linux-any],
- libkvm-dev [kfreebsd-any],
  libncursesw5-dev,
  libio-string-perl <!nocheck>
 
@@ -25,7 +22,7 @@
 Priority: optional
 Architecture: any
 Multi-Arch: same
-Depends: zlib1g-dev, libzstd1-dev, liblzma-dev, libbz2-dev, ${misc:Depends}
+Depends: zlib1g-dev, liblzma-dev, libbz2-dev, ${misc:Depends}
 Description: Debian package management static library
  This package provides the header files and static library necessary to
  develop software using libdpkg, the same library used internally by dpkg.
@@ -39,66 +36,7 @@
 Essential: yes
 Pre-Depends: ${shlibs:Depends}, tar (>= 1.23)
 Depends: ${misc:Depends}
-Breaks: dpkg-dev (<< 1.15.8), libdpkg-perl (<< 1.15.8),
-# These cause trigger cycles due to using awaiting trigger directives.
- apt-cudf (<< 3.3~beta1-3~),
- auctex (<< 11.87-3+deb8u1~),
- ccache (<< 3.1.10-1~),
- cups (<< 1.7.5-10~),
- dbus (<< 1.8.12-1ubuntu6~),
- debian-security-support (<< 2014.10.26~),
- distcc (<< 3.1-6.1~),
- doc-base (<< 0.10.5~),
- fontconfig (<< 2.11.1-0ubuntu5~),
- fusionforge-plugin-mediawiki (<< 5.3.2+20141104-3~),
- gap-core (<< 4r7p5-2~),
- gitweb (<< 1:2.1.4-2.1~),
- grace (<< 1:5.1.24-3~),
- gxine (<< 0.5.908-3.1~),
- hoogle (<< 4.2.33-4~),
- icecc (<< 1.0.1-2~),
- install-info (<< 5.1.dfsg.1-3~),
- libapache2-mod-php5 (<< 5.6.4+dfsg-3~),
- libapache2-mod-php5filter (<< 5.6.4+dfsg-3~),
- libjs-protoaculous (<< 5~),
- man-db (<< 2.6.3-6~),
- mcollective (<< 2.6.0+dfsg-2.1~),
- php5-fpm (<< 5.6.4+dfsg-3~),
- pypy (<< 2.4.0+dfsg-3~),
- readahead-fedora (<< 2:1.5.6-5.2~),
- software-center (<< 13.10-0ubuntu9~),
- ufw (<< 0.35-0ubuntu2~),
- ureadahead (<< 0.100.0-17~),
- wordpress (<< 4.1+dfsg-1~),
- xfonts-traditional (<< 1.7~),
- xine-ui (<< 0.99.9-1.2~),
-# These do not support triggers.
- apt (<< 0.7.7~), aptitude (<< 0.4.7-1~)
-Conflicts:
-# The following Conflicts against removed packages using install-info
-# in their prerm script can be removed in jessie+1.
-# These packages have been removed after squeeze:
- ggz-docs (<< 0.0.14.1-2~), glame (<< 2.0.1-6~), gtalk (<< 0.99.10-16~),
- libalogg-dev (<< 1.3.7-2~), r6rs-doc (<< 1.0-2~), ulog-acctd (<< 0.4.3-3~),
- octave3.2-info (<< 3.2.4-12+rm),
-# These non-free packages have been removed after squeeze:
- cpp-4.1-doc (<< 4.1.2.nf2-4~), gcc-4.1-doc (<< 4.1.2.nf2-4~),
- gcj-4.1-doc (<< 4.1.2.nf2-4~), gfortran-4.1-doc (<< 4.1.2.nf2-4~),
- gnat-4.1-doc (<< 4.1.2.nf2-4~), cpp-4.2-doc (<< 4.2.4.nf1-4~),
- gcc-4.2-doc (<< 4.2.4.nf1-4~), gcj-4.2-doc (<< 4.2.4.nf1-4~),
- gfortran-4.2-doc (<< 4.2.4.nf1-4~), gnat-4.2-doc (<< 4.2.4.nf1-4~),
-# These packages have been removed after lenny:
- ada-reference-manual (<< 20021112web-4~), asn1-mode (<< 2.7-7~),
- bogosort (<< 0.4.2-3~), cl-yacc (<< 0.3-3~), libgtk1.2-doc (<< 1.2.10-19~),
- libnettle-dev (<< 2~), liborbit-dev (<< 0.5.17-12~),
- libreadline5-dev (<< 5.2-8~),
- librep-doc (<< 0.90~), mmucl (<< 1.5.2-3~), nxml-mode (<< 20041004-9~),
- octave3.0-info (<< 1:3.0.5-7+rm),
- serveez-doc (<< 0.1.5-3~), slat (<< 2.0-6~),
- texlive-base-bin-doc (<< 2007.dfsg.2-9~), ttcn-el (<< 0.6.9-2~),
- xconq-doc (<< 7.4.1-5~), zenirc (<< 2.112.dfsg-1~),
-# These non-free packages have been removed after lenny:
- polgen-doc (<< 1.3-3+rm)
+Breaks: dpkg-dev (<< 1.15.8), libdpkg-perl (<< 1.15.8)
 Suggests: apt
 Replaces: manpages-it (<< 2.80-4)
 Description: Debian package management system
