=== debian/rules ===
--- 
+++ 
@@ -8,14 +8,14 @@
 # XXX: Stack Protector Strong is only available in gcc >= 4.9
 cc_version = $(shell $(CC) -dumpversion 2>/dev/null)
 cc_version_lt = $(shell dpkg --compare-versions "$(cc_version)" lt-nl "$(1)" && echo yes)
-hardening_old = DEB_BUILD_MAINT_OPTIONS="hardening=-stackprotectorstrong"
+hardening_old = $(if $(call cc_version_lt,4.9),-stackprotectorstrong)
 
 # Use the in-tree dpkg-buildflags
 dpkg_buildflags = \
-	$(if $(call cc_version_lt,4.9),$(hardening_old)) \
+	DEB_BUILD_MAINT_OPTIONS="hardening=+all,$(hardening_old)" \
 	DEB_CFLAGS_MAINT_APPEND="$(WFLAGS)" \
 	DEB_CXXFLAGS_MAINT_APPEND="$(WFLAGS)" \
-	$(CURDIR)/run-script perl scripts/dpkg-buildflags.pl
+	$(CURDIR)/run-script scripts/dpkg-buildflags.pl
 
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -47,6 +47,7 @@
 
 # Configure the build tree
 build-tree/config.status: configure
+	dh_quilt_patch
 	dh_testdir
 
 	install -d build-tree
@@ -60,7 +61,6 @@
 		--localstatedir=/var \
 		--with-devlibdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 		--with-zlib \
-		--with-libzstd \
 		--with-liblzma \
 		--with-bz2
 
@@ -86,13 +86,6 @@
 	dh_installdirs
 
 	cd build-tree && $(MAKE) DESTDIR=$(D) install
-
-ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
-	# Ubuntu's «i386» architecture is built for i686 (the Debian default
-	# is i586).
-	sed -ri 's/^(i386[[:space:]]+)[^[:space:]]+/\1i686/' \
-	        $(D)/usr/share/dpkg/cputable
-endif
 
 define dpkg-installmanl10n
 for f in `sed -e 's:\*:*/*:' debian/$(1).manpages`; do \
@@ -156,6 +149,7 @@
 
 	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -rf build-tree
+	dh_quilt_unpatch
 	dh_clean
