## dpkg 1.18.10~bpo8+1

=== debian/changelog ===
dpkg (1.18.10~bpo8+1) UNRELEASED; urgency=medium

  * jessie-backports Rebuilt for jessie.

 -- Guillem Jover <guillem@debian.org>  Thu, 18 Aug 2016 10:23:06 +0000

dpkg (1.18.10) unstable; urgency=medium

  [ Guillem Jover ]
  * Fix a short-lived memory leak in dpkg archive argument parsing.
  * When activating file triggers on conffile purge, use the conffile name
    instead of the real pathname it might refer to. This fixes a segfault
    when using --instdir, or when the conffile has been moved around and
    replaced with a symlink to the target.
    Regression introduced in dpkg 1.18.8. Closes: #830267
  * Perl modules:
    - Disable fixdebugpath feature on unsafe characters in the path.
    - Generate reproducible source tarballs by using the new GNU tar
      --clamp-mtime option in Dpkg::Source::Archive, to make sure no file
      in source packages has an mtime later than the changelog entry time.
    - Enable fixdebugpath build flag feature by default.
      Thanks to Mattia Rizzolo <mattia@debian.org>. Closes: #832179
    - Rename various private methods and functions with an underscore prefix
      and unified names.
    - Refactor perl modules directory list into a new function in Test::Dpkg.
  * Test suite:
    - Add new POD coverage author test for public perl modules.
  * Documentation:
    - Document Testsuite-Triggers in dsc(5).
    - Fix deb-changes(5) description to talk about .changes instead of .dsc.
      Reported by HW42 <hw42@ipsumj.de>.
    - Use debian/control as the SYNOPSIS in deb-src-control(5).
    - Add new deb-conffiles(5) man page.
    - Add references to deb-control(5) and deb-triggers(5) in dpkg(1).
    - Fix typos for repeated “the” word.
      Prompted by Valentin Samir <valentin.samir@crans.org> in #830989.
    - Fix misspelled -fdebug-prefix-map flag in dpkg-buildflags(1).
      Reported by Mattia Rizzolo <mattia@debian.org>.
    - Remove mention of source format 1.0 supporting building with upstream
      tarball signatures from dpkg-source(1), as this was disabled in 1.18.8.
    - Document all public methods in Dpkg::Changelog::Entry::Debian.
    - Escape dashes in deb-changes(5) and dsc(5) man pages.
    - Fix typos in dpkg-shlibdeps(1). Closes: #832434
      Thanks to Carsten Leonhardt <leo@debian.org>.

  [ Updated programs translations ]
  * German (Sven Joachim).
  * Turkish (Mert Dirik). Closes: #832070

  [ Updated scripts translations ]
  * German (Helge Kreutzmann).

  [ Updated manpages translations ]
  * German (Helge Kreutzmann).

 -- Guillem Jover <guillem@debian.org>  Sun, 31 Jul 2016 12:57:02 +0200

dpkg (1.18.9) unstable; urgency=medium

  * Require Dpkg::Control::Info in dpkg-buildpackage.
    Initially reported by Helmut Grohne <helmut@subdivi.de>.
    Regression introduced in dpkg 1.18.8. Closes: #829542
  * Documentation:
    - Fix user configuration filename in dpkg-buildpackage(1).
      Thanks to Sven Joachim <svenjoac@gmx.de>. Closes: #829546

 -- Guillem Jover <guillem@debian.org>  Mon, 04 Jul 2016 09:23:13 +0200

dpkg (1.18.8) unstable; urgency=medium

  [ Guillem Jover ]
  * Do not disable PIE buildflags on */kFreeBSD anymore. Closes: #823877
    Thanks to Steven Chamberlain <steven@pyro.eu.org>.
  * Add new long options in dpkg-buildpackage for any short option that is
    a useful configurable candidate.
  * Add configuration file support to dpkg-buildpackage, as buildpackage.conf
    under either the dpkg system or user configuration directories.
    Closes: #539692, #765494
  * Check that debian/tests/control is a regular file before parsing it.
  * Generate Testsuite-Triggers field from test dependencies in dpkg-source
    into .dsc files. Based on a patch by Martin Pitt <martin.pitt@ubuntu.com>.
    Closes: #779559
  * Add new dpkg-source --no-overwrite-dir extraction option. Closes: #826334
  * Fix number of entries computation returned by sysctl() on */kFreeBSD in
    start-stop-daemon.
  * Set return buffer length for sysctl(2) calls on */kFreeBSD in
    start-stop-daemon.
  * Abstract ar archive handling behind a new struct dpkg_ar and functions.
  * On dpkg --force-chrootless only set changedir to instdir if defined.
    Thanks to Niall Walsh <niallwalsh@celtux.org>. Closes: #824542
  * Set primary group to 0 in dpkg when running as root.
    Reported by Stuart Prescott <stuart@debian.org>.
  * Activate file triggers for conffiles on purge, which has never happened
    before. Before dpkg 1.17.0, conffiles were triggered on removal, which
    was obviously wrong. Reported by Helmut Grohne <helmut@subdivi.de>.
  * Fix strtol() errno check when parsing the COLUMNS envvar in dpkg-query.
    Thanks to Sven Joachim <svenjoac@gmx.de>. Closes: #827265
  * Use new GNU tar --clamp-mtime option in dpkg-deb to make sure no file in
    binary packages has an mtime later than the given time. Closes: #759886
  * Use the same timestamp for the ar container as for tarball mtime clamping
    in dpkg-deb.
  * Set ar timestamp and tar mtime clamping to SOURCE_DATE_EPOCH if defined
    in dpkg-deb. Based on a patch by Jérémy Bobbio <lunar@debian.org>.
  * Preset build timestamp to latest changelog entry in dpkg-buildpackage,
    by setting SOURCE_DATE_EPOCH environment variable if it is not already
    defined. Based on a patch by Jérémy Bobbio <lunar@debian.org>.
    Closes: #759999
  * Do not use the debian/rules build target fallback when building both
    architecture independent and dependent packages in dpkg-buipdpackage.
  * Use architecture «all» as part of the .changes filename when building
    architecture independent binaries and no architecture dependent binaries.
    Closes: #826161
  * Do not emit warnings from dpkg-genchanges for automatic debug symbol
    packages that are not found in debian/control.
  * Export SOURCE_DATE_EPOCH from pkg-info.mk makefile snippet.
    Closes: #824572
  * Architecture support:
    - Add TILE-Gx support to cputable. Closes: #823167

