## dpkg 1.18.10ubuntu1.1

=== debian/changelog ===
dpkg (1.18.10ubuntu1.1) yakkety; urgency=medium

  * Cherry-pick patch from git to limit preallocation to files over
    16KiB, fixing installation performance regression (LP: #1663749)

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 10 Apr 2017 04:08:19 -0600

dpkg (1.18.10ubuntu1) yakkety; urgency=medium

  * Merge from Debian testing; remaining Ubuntu changes:
    - Change native source version/format mismatch errors into warnings
      until the dust settles on Debian bug 737634 about override options.
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.
    - Special-case arm{el,hf} ELF objects in Shlibs/Objdump.pm for multilib.
    - Map unqualified package names of multiarch-same packages to the native
      arch instead of throwing an error, so that we don't break on upgrade
      when there are unqualified names stored in the dpkg trigger database.
    - Apply a workaround from mvo to consider ^rc packages as multiarch,
      during the dpkg consistency checks. (see LP: 1015567 and 1057367).

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 12 Aug 2016 11:35:16 -0600

dpkg (1.18.9ubuntu2) yakkety; urgency=medium

  * Cherry pick the following patch from git to fix APT's testsuite

  [ Guillem Jover ]
  * When activating file triggers on conffile purge, use the conffile name
    instead of the real pathname it might refer to. This fixes a segfault
    when using --instdir, or when the conffile has been moved around and
    replaced with a symlink to the target.
    Regression introduced in dpkg 1.18.8. Closes: #830267

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 08 Jul 2016 06:42:07 +0200

dpkg (1.18.9ubuntu1) yakkety; urgency=medium

  * Merge with Debian unstable, pulling in fix for dpkg-buildpackage.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 04 Jul 2016 04:48:25 -0600

dpkg (1.18.8ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable (LP: #1491145); remaining Ubuntu changes:
    - Change native source version/format mismatch errors into warnings
      until the dust settles on Debian bug 737634 about override options.
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.
    - Special-case arm{el,hf} ELF objects in Shlibs/Objdump.pm for multilib.
    - Map unqualified package names of multiarch-same packages to the native
      arch instead of throwing an error, so that we don't break on upgrade
      when there are unqualified names stored in the dpkg trigger database.
    - Apply a workaround from mvo to consider ^rc packages as multiarch,
      during the dpkg consistency checks. (see LP: 1015567 and 1057367).

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 04 Jul 2016 02:45:33 -0600

dpkg (1.18.7ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable; remaining changes in the Ubuntu delta:
    - Change native source version/format mismatch errors into warnings
      until the dust settles on Debian bug 737634 about override options.
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.
    - Special-case arm{el,hf} ELF objects in Shlibs/Objdump.pm for multilib.
    - Map unqualified package names of multiarch-same packages to the native
      arch instead of throwing an error, so that we don't break on upgrade
      when there are unqualified names stored in the dpkg trigger database.
    - Apply a workaround from mvo to consider ^rc packages as multiarch,
      during the dpkg consistency checks. (see LP: 1015567 and 1057367).
  * Drop Breaks/Conflicts for triggers/upgrades now that xenial is released.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 12 May 2016 05:37:45 -0600

dpkg (1.18.4ubuntu2) yakkety; urgency=medium

  * No-change rebuild to pick up -fPIE on amd64 and ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Apr 2016 13:53:32 +0200
